Debians sikkerhedsbulletin

DSA-682-1 awstats -- manglende kontrol af inddata

Rapporteret den:
15. feb 2005
Berørte pakker:
awstats
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Debians fejlsporingssystem: Fejl 294488.
I Mitres CVE-ordbog: CVE-2005-0363.
Yderligere oplysninger:

Ud over CAN-2005-0116 er der fundet flere sårbarheder i awstats, et omfattede program til analysering af webserveres logfiler, med en CGI-frontend. Manglende kontrol af inddata kunne gøre det muligt at udføre vilkårlige kommandoer.

I den stabile distribution (woody) er dette problem rettet i version 4.0-0.woody.2.

I den ustabile distribution (sid) er dette problem rettet i version 6.2-1.2.

Vi anbefaler at du opgraderer din awstats-pakke.

Rettet i:

Debian GNU/Linux 3.0 (woody)

Kildekode:
http://security.debian.org/pool/updates/main/a/awstats/awstats_4.0-0.woody.2.dsc
http://security.debian.org/pool/updates/main/a/awstats/awstats_4.0-0.woody.2.diff.gz
http://security.debian.org/pool/updates/main/a/awstats/awstats_4.0.orig.tar.gz
Arkitekturuafhængig komponent:
http://security.debian.org/pool/updates/main/a/awstats/awstats_4.0-0.woody.2_all.deb

MD5-kontrolsummer for de listede filer findes i den originale sikkerhedsbulletin.